using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AcaMate.V1.Models;

[Table("login")]
public class Login
{
    [Key]
    [MaxLength(100)]
    public string sns_id {get; set;}
    [MaxLength(70)]
    public string uid {get; set;}
    [MaxLength(4)]
    public string sns_type {get; set;}
    [MaxLength(255)]
    public string sns_token {get; set;}
    [MaxLength(100)]
    public string sns_email {get; set;}
}

[Table("user_academy")]
public class User_Academy
{
    [Key]
    public string uid { get; set; }
    public string bid { get; set; }
    public DateTime register_date { get; set; }
    public bool status { get; set; }
}